DROP TABLE ORDER_PRODUCT CASCADE CONSTRAINT;
DROP TABLE ORDER_INFO CASCADE CONSTRAINT;
DROP TABLE ORDER_CLIENT CASCADE CONSTRAINT;


CREATE TABLE ORDER_INFO
(
	O_NO NUMBER(7),
	BR_NAME VARCHAR2(30),
	ORD_DATE DATE,
	CONSTRAINT ORDER_INFO_O_NO_PK PRIMARY KEY(O_NO)
);


CREATE TABLE ORDER_PRODUCT
(
	O_NO NUMBER(7),
	P_NO NUMBER(7),
	QTY_ORD NUMBER(7),
        CONSTRAINT ORDER_PRODUCT_O_NO_FK FOREIGN KEY(O_NO) 
	REFERENCES ORDER_INFO(O_NO) ON DELETE CASCADE
);


CREATE TABLE ORDER_CLIENT
(
	O_NO NUMBER(7),
	CLIENT_NO NUMBER(7),
	CONSTRAINT ORDER_CLIENT_O_NO_FK FOREIGN KEY(O_NO) 
	REFERENCES ORDER_INFO(O_NO) ON DELETE CASCADE
);

GRANT SELECT
ON ORDER_PRODUCT
TO SCOTT

GRANT SELECT
ON ORDER_INFO
TO SCOTT

GRANT SELECT
ON ORDER_CLIENT
TO SCOTT


ALTER TABLE ORDER_PRODUCT
ADD CONSTRAINT ORDER_PRODUCT_O_NO_P_NO_PK PRIMARY KEY(O_NO,P_NO);

ALTER TABLE ORDER_CLIENT
ADD CONSTRAINT ORDER_CLIENT_O_NO_CLIENT_NO_PK PRIMARY KEY(O_NO,CLIENT_NO);





ALTER TABLE ORDER_PRODUCT
ADD CONSTRAINT ORDER_PRODUCT_P_NO_FK FOREIGN KEY(P_NO) REFERENCES SCOTT.PRODUCT_DESC(P_NO);



ALTER TABLE ORDER_CLIENT
ADD CONSTRAINT ORDER_CLIENT_CLIENT_NO_FK FOREIGN KEY(CLIENT_NO) REFERENCES SCOTT.CREDIT_HOLDERS(CLIENT_NO);


GRANT SELECT
ON ORDER_PRODUCT
TO SCOTT;

GRANT SELECT
ON ORDER_INFO
TO SCOTT;

GRANT SELECT
ON ORDER_CLIENT
TO SCOTT;

insert into ORDER_INFO
values(1,'NEW YORK','13-MAY-99');
		
insert into ORDER_INFO
values(2,'WASHINGTON','28-MAY-99');

insert into ORDER_INFO
values(3,'SAN FRANSISCO','23-JUL-99');

insert into ORDER_INFO
values(4,'SAN FRANSISCO','24-JUL-99');

insert into ORDER_INFO
values(5,'WASHINGTON','28-JUL-99');

insert into ORDER_INFO
values(6,'SAN FRANSISCO','09-AUG-99');

insert into ORDER_INFO
values(7,'NEW YORK','11-AUG-99');

insert into ORDER_INFO
values(8,'NEW YORK','14-SEP-99');

insert into ORDER_INFO
values(9,'WASHINGTON','15-SEP-99');

insert into ORDER_INFO
values(10,'WASHINGTON','22-NOV-99');

			

insert into ORDER_PRODUCT
values(1,1,3);
			
insert into ORDER_PRODUCT
values(1,2,1);
			
insert into ORDER_PRODUCT
values(1,3,6);
			
insert into ORDER_PRODUCT
values(2,1,4);
			
insert into ORDER_PRODUCT
values(2,4,1);
			
insert into ORDER_PRODUCT
values(3,5,2);
			
insert into ORDER_PRODUCT
values(4,3,1);
			
insert into ORDER_PRODUCT
values(5,5,5);
		
insert into ORDER_PRODUCT
values(6,3,2);
		
insert into ORDER_PRODUCT
values(7,1,8);

insert into ORDER_PRODUCT
values(7,4,6);

insert into ORDER_PRODUCT
values(7,5,10);
		
insert into ORDER_PRODUCT
values(8,1,9);

insert into ORDER_PRODUCT
values(9,4,1);

insert into ORDER_PRODUCT
values(9,5,7);

insert into ORDER_PRODUCT
values(10,5,43);


insert into ORDER_CLIENT
values(1,2);

insert into ORDER_CLIENT
values(5,4);

insert into ORDER_CLIENT
values(6,5);

insert into ORDER_CLIENT
values(9,1);
